import { http } from 'viem';
import { createConfig } from 'wagmi';
export const createWagmiConfig = (chainById) => {
    return createConfig({
        chains: Object.values(chainById),
        transports: Object.fromEntries(Object.entries(chainById).map(([id]) => [Number(id), http()])),
    });
};
